Subject: Re: MPC8540 : What's "SPE used in kernel" ?

From: Philippe De Muyter <[email-masked]>
Date: Tue, 26 Feb 2008 11:34:28 +0100

Hi Kumar,

On Tue, Feb 26, 2008 at 01:39:20AM -0600, Kumar Gala wrote:
>
> On Feb 23, 2008, at 4:25 AM, Johannes Berg wrote:
>
>>
>>> But as I said in the same mail, processes still dies unexpectedly.
>>
>> Yeah, no idea though. I guess you could try putting that into the
>> arch/ppc Makefile, but arch/ppc will be removed this year so you don't
>> want to rely on it.
>
> Its been removed (or will be for 2.6.25).
>
> What compiler version are you using?

a gcc-4.2.1 derivative from codesourcery (4.2-50) that I needed to compile
eglibc for e500 and that I tweaked to use it with CLFS and that I compiled
with --host=powerpc-linuxspe.  I now noticed that it still generates
spe insn's even when given '-mno-spe'.

I am now busy to retest with a vanilla powerpc-linuxspe-gcc-4.2.2 and
that seems to work fine.  I don't think, though, that it is able to compile
eglibc for e500.

Thanks for the attention, and sorry for the noise.

Philippe